/*
 *  global-define.h
 *  lottery-iphone
 *
 *  Created by 木谷 公哉 on 09/07/30.
 *  Copyright 2009 京都大学東南アジア研究センター. All rights reserved.
 *
 */

// 該当者あり、なしのボタンタイトル変更用 0.53: 2009.07.30
// #defineの最後に「;」は付けてはならない。
// #defineは非日本語文字をいれてもいいが、文字処理するときにはNSDataを使って正しくエンコードして比較すること。 0.55
//http://homepage.mac.com/mkino2/cocoaProg/misc/Japanese/Japanese.html
// 絵文字はUTF8だ：http://d.hatena.ne.jp/nakamura001/20081124/1227477320

// 処理する文字コードを指定する 0.55 2009.07.31
// NSStringは内部的にUTF-16を使っているとのこと（MacOSXの標準ね
// http://www.drycarbon.com/marimo/index.rb?room=droom;memo=Objective-C+%3A+NSString


// 文字コード変換は：http://wiki.onakasuita.org/pukiwiki/?NSString

// iPhoneではUTF8にしなくてはならない。
//#define RESULT_DISABLE_STR  [NSString stringWithCString:"該当者なし"  encoding:NSUTF8StringEncoding]
//#define RESULT_ENABLE_STR   [NSString stringWithCString:"キャンセル" encoding:NSUTF8StringEncoding]

// 0.6: 2009.08.05 -- ローカナイズした。Resources/Localizable.stringsを参照
#define RESULT_DISABLE_STR	@"Button Expire"
#define RESULT_ENABLE_STR	@"Cancel"

// その他ボタンのローカナイズ(setTitleButtonメソッドでNSLocalizedStringしている)
#define BUTTON_drawingButton			@"Draw lots"
#define BUTTON_clipButton				@"Copy to ClipBoard"
#define BUTTON_resultRecoverButton		@"Restore to Result History"
#define BUTTON_initNumberSequenceButton @"Set Data"
// ヘルプビューからの戻り
#define BUTTON_BackButton @"BackMainView"


// メッセージのローカナイズ（利用するときにNSLocalizedStringをしている）
#define VIEW_HISTORY	@"View History"
#define ERROR_OVER_NUM	@"MaxOfSeq Number"
#define FINISH_MSG		@"Finish of Lots"
#define MaxNumberMsg	@"Max Number is "
#define NextNumberMsg	@"Next"
#define PrevNumberMsg	@"Prev"

// ヘルプビューの説明文 0.7 2009.11.10
#define HELP_EXP		@"HELP Explanation"
// HPへ飛ぶ 0.7 2009.11.10
#define GoToHP	@"Go to HP"


// エラーログの調整 Debug時のみNSlogをはくLOG()を定義
//http://d.hatena.ne.jp/Psychs/20081120/1227203259
// ユーザ定義でデバッグモードの時だけ、DEBUGが定義されるようになっている。

//私の本の 17-04節にあるアサーションも、使うと便利かも。（後から確認) 0.61

#ifdef DEBUG
#  define LOG(...) NSLog(__VA_ARGS__)
#  define LOG_METHOD NSLog(@"%s", __func__)
#else
#  define LOG(...) ;
#  define LOG_METHOD ;
#endif

// 保存場所
#define STORE_NAME @"lottery_iphone" 

// 回数 2010.10.06: 0.9
#define SEQ_MSG	@"Number of Times"

